<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmCardViewFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmCardViewFlag Enumeration

Visual Basic
C#
C++/CLI
Options for appearance and functionality of card views created with IEdmVault10::CreateCardViewEx2 and IEdmFolder10::CreateCardView2. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmCardViewFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmCardViewFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmCardViewFlag : public System.Enum

# Members

Member | Description
--- | ---
EdmCvf_3StateCheckboxes | 2 = Permit three-state checkboxes
EdmCvf_CallSaveOnCtrlReturn | 512 = Save on CTRL-Enter
EdmCvf_ComputeDefaultValues | 8 = Compute default values in the card
EdmCvf_DisableButtons | 256 = Disable all buttons in the card
EdmCvf_Normal | 253 = Default (1+4+8+16+32+64+128)
EdmCvf_Nothing | 0 = Nothing
EdmCvf_PermitComputedValues | 64 = Permit controls to receive values from input formulas
EdmCvf_PermitControlledTabs | 1 = Permit controlling tab controls with variables
EdmCvf_PermitReadOnlyFields | 32 = Permit the card to have read-only fields
EdmCvf_RunFormulas | 4 = Evaluate input formulas in the card
EdmCvf_RunFormulasOnOpen | 1024 = Force execution of formulas on all controls when opened
EdmCvf_SearchMode | 130 = Search tool mode (2+128)
EdmCvf_SerNoMenu | 1048576 = Show shortcut menu for serial numbers
EdmCvf_TextureBackground | 128 = Fade the card background
EdmCvf_VerifyValues | 16 = Check mandatory and unique values during save

# See Also

####

EPDM.Interop.epdm Namespace